fe_s Struct Reference

Structure for the front-end computation. More...

`#include <fe_internal.h>`

## Data Fields

cmd_ln_t * | config
int | refcount
float32 | sampling_rate
int16 | frame_rate
int16 | frame_shift
float32 | window_length
int16 | frame_size
int16 | fft_size
uint8 | fft_order
uint8 | feature_dimension
uint8 | num_cepstra
uint8 | remove_dc
uint8 | log_spec
uint8 | swap
uint8 | dither
uint8 | transform
uint8 | remove_noise
uint8 | remove_silence
float32 | pre_emphasis_alpha
int16 | pre_emphasis_prior
int32 | dither_seed
int16 | num_overflow_samps
size_t | num_processed_samps
frame_t * | ccc
frame_t * | sss
melfb_t * | mel_fb
window_t * | hamming_window
noise_stats_t * | noise_stats
int16 | pre_speech
int16 | post_speech
int16 | start_speech
float32 | vad_threshold
vad_data_t * | vad_data
int16 * | spch
frame_t * | frame
powspec_t * | spec
powspec_t * | mfspec
int16 * | overflow_samps

## Detailed Description

Structure for the front-end computation.

Definition at line 117 of file fe_internal.h.

## Field Documentation

## ccc

frame_t* fe_s::ccc

Definition at line 148 of file fe_internal.h.

## config

cmd_ln_t* fe_s::config

Definition at line 118 of file fe_internal.h.

## dither

uint8 fe_s::dither

Definition at line 135 of file fe_internal.h.

## dither_seed

int32 fe_s::dither_seed

Definition at line 142 of file fe_internal.h.

## feature_dimension

uint8 fe_s::feature_dimension

Definition at line 130 of file fe_internal.h.

## fft_order

uint8 fe_s::fft_order

Definition at line 129 of file fe_internal.h.

## fft_size

int16 fe_s::fft_size

Definition at line 127 of file fe_internal.h.

## frame

frame_t* fe_s::frame

Definition at line 167 of file fe_internal.h.

## frame_rate

int16 fe_s::frame_rate

Definition at line 122 of file fe_internal.h.

## frame_shift

int16 fe_s::frame_shift

Definition at line 123 of file fe_internal.h.

## frame_size

int16 fe_s::frame_size

Definition at line 126 of file fe_internal.h.

## hamming_window

window_t* fe_s::hamming_window

Definition at line 152 of file fe_internal.h.

## log_spec

uint8 fe_s::log_spec

Definition at line 133 of file fe_internal.h.

## mel_fb

melfb_t* fe_s::mel_fb

Definition at line 150 of file fe_internal.h.

## mfspec

powspec_t * fe_s::mfspec

Definition at line 168 of file fe_internal.h.

## noise_stats

noise_stats_t* fe_s::noise_stats

Definition at line 155 of file fe_internal.h.

## num_cepstra

uint8 fe_s::num_cepstra

Definition at line 131 of file fe_internal.h.

## num_overflow_samps

int16 fe_s::num_overflow_samps

Definition at line 144 of file fe_internal.h.

## num_processed_samps

size_t fe_s::num_processed_samps

Definition at line 145 of file fe_internal.h.

## overflow_samps

int16* fe_s::overflow_samps

Definition at line 169 of file fe_internal.h.

## post_speech

int16 fe_s::post_speech

Definition at line 159 of file fe_internal.h.

## pre_emphasis_alpha

float32 fe_s::pre_emphasis_alpha

Definition at line 140 of file fe_internal.h.

## pre_emphasis_prior

int16 fe_s::pre_emphasis_prior

Definition at line 141 of file fe_internal.h.

## pre_speech

int16 fe_s::pre_speech

Definition at line 158 of file fe_internal.h.

## refcount

int fe_s::refcount

Definition at line 119 of file fe_internal.h.

## remove_dc

uint8 fe_s::remove_dc

Definition at line 132 of file fe_internal.h.

## remove_noise

uint8 fe_s::remove_noise

Definition at line 137 of file fe_internal.h.

## remove_silence

uint8 fe_s::remove_silence

Definition at line 138 of file fe_internal.h.

## sampling_rate

float32 fe_s::sampling_rate

Definition at line 121 of file fe_internal.h.

## spch

int16* fe_s::spch

Definition at line 166 of file fe_internal.h.

## spec

powspec_t* fe_s::spec

Definition at line 168 of file fe_internal.h.

## sss

frame_t * fe_s::sss

Definition at line 148 of file fe_internal.h.

## start_speech

int16 fe_s::start_speech

Definition at line 160 of file fe_internal.h.

## swap

uint8 fe_s::swap

Definition at line 134 of file fe_internal.h.

## transform

uint8 fe_s::transform

Definition at line 136 of file fe_internal.h.

## vad_data

vad_data_t* fe_s::vad_data

Definition at line 162 of file fe_internal.h.

## vad_threshold

float32 fe_s::vad_threshold

Definition at line 161 of file fe_internal.h.

## window_length

float32 fe_s::window_length

Definition at line 125 of file fe_internal.h.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/fe/fe_internal.h